Update to IDEA 2016.1.2(b) has broken my multi-project gradle project

Answered

Immediately after upgrading to the second IDEA 2016.1.2 release today my test configuration seems to be corrupted. IJ complains about classes that should be imported from the "compile" configuration. IJ suggests adding the dependency to the module for something that should be present already.

I also tried "Invalidating caches and restarting" with no luck. This really sucks because I can't run unit tests inside of IJ anymore. Everything was working fine until just before this update.

Anyone else run into this?

Thanks

4 comments
Comment actions Permalink

Try to Refresh the project in the Gradle tool window. Contact support if it doesn't help and provide a sample project to reproduce.

0
Comment actions Permalink

Thanks Serge. I tried that too sorry I left that off. This was really impacting my work so I tried a number of things not sure exactly what fixed it. My gut is the upgrade somehow might have changed the Gradle home for the project. I re-imported the project and forced it to use our version of Gradle (1.12  and it started working again. 

Our Gradle build is using some deprecated features so I image if it used Gradle 2 all of sudden it might have unexpected failures.

0
Comment actions Permalink

This is absolutely a problem for 2016.x versions of intellij.  Using gradle 2.11.

I've tried refreshing, rebuilding the project from scratch and re-installing Intellij.  None of it works.

0
Comment actions Permalink

Please submit a bug at https://youtrack.jetbrains.com/issues/IDEA and attach a sample project to reproduce the problem.

0

Please sign in to leave a comment.